gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [gnunet] branch master updated: fix disting rules


From: gnunet
Subject: [GNUnet-SVN] [gnunet] branch master updated: fix disting rules
Date: Wed, 03 Apr 2019 14:48:26 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new 00ee3bc1f fix disting rules
00ee3bc1f is described below

commit 00ee3bc1f5703d9f4b9b568f0abee6c5403a8a05
Author: Christian Grothoff <address@hidden>
AuthorDate: Wed Apr 3 14:48:22 2019 +0200

    fix disting rules
---
 Makefile.am                                |  5 ++++-
 contrib/scripts/gnunet-logread/Makefile.am |  5 +++++
 lint/Makefile.am                           |  3 +++
 po/POTFILES.in                             |  2 --
 src/namestore/test_namestore_delete.sh     |  6 +++---
 src/namestore/test_namestore_lookup.sh     | 28 ++++++++++------------------
 src/namestore/test_namestore_put.sh        |  2 +-
 7 files changed, 26 insertions(+), 25 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 19d6a8bef..796225a04 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -5,13 +5,16 @@ AM_CPPFLAGS = -I$(top_srcdir)/src/include
 if DOCUMENTATION_ONLY
   SUBDIRS = doc
 else
-  SUBDIRS = m4 src po pkgconfig lint
+  SUBDIRS = m4 src po pkgconfig
 endif
 
 # documentation on / off switch (affects all of the documentation)
 if DOCUMENTATION
   SUBDIRS += doc
 endif
+if HAVE_EXPERIMENTAL
+  SUBIDRS += lint
+endif
 
 # only manpages, needs "doc" subdir
 if INCLUDE_MANPAGES
diff --git a/contrib/scripts/gnunet-logread/Makefile.am 
b/contrib/scripts/gnunet-logread/Makefile.am
index 82c99494c..7903c07de 100644
--- a/contrib/scripts/gnunet-logread/Makefile.am
+++ b/contrib/scripts/gnunet-logread/Makefile.am
@@ -20,3 +20,8 @@ CLEANFILES=   \
 noinst_SCRIPTS =               \
                $(CLEANFILES) \
                gnunet-logread-ipc
+
+EXTRA_DIST = \
+  gnunet-logread.in \
+  gnunet-logread-ipc-sdedit.in \
+  gnunet-logread-ipc
diff --git a/lint/Makefile.am b/lint/Makefile.am
index 0de8da54a..f78cdd5f6 100644
--- a/lint/Makefile.am
+++ b/lint/Makefile.am
@@ -57,3 +57,6 @@ check-texinfo:
        @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name 
'*.texi' -print0 | xargs -0 awk '/XXX/ {print FILENAME":"NR":"$$0}' >> 
$(srcdir)/texinfo_tutorial.log || true
 
 check-linters: check-bashism check-python check-man check-texinfo
+
+EXTRA_DIST = \
+  checkbashisms.pl.in
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 67c22aaed..e4fba08ac 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -418,8 +418,6 @@ src/transport/plugin_transport_udp_broadcasting.c
 src/transport/plugin_transport_udp.c
 src/transport/plugin_transport_unix.c
 src/transport/plugin_transport_wlan.c
-src/transport/plugin_transport_xt.c
-src/transport/plugin_transport_xu.c
 src/transport/tcp_connection_legacy.c
 src/transport/tcp_server_legacy.c
 src/transport/tcp_server_mst_legacy.c
diff --git a/src/namestore/test_namestore_delete.sh 
b/src/namestore/test_namestore_delete.sh
index 8c776104a..44ea1e66c 100755
--- a/src/namestore/test_namestore_delete.sh
+++ b/src/namestore/test_namestore_delete.sh
@@ -61,15 +61,15 @@ for LINE in $OUTPUT ;
 stop_peer
 
 
-if [ $FOUND_NAME == false -a $FOUND_IP != false ]
+if [ $FOUND_NAME = false -a $FOUND_IP != false ]
 then
   echo "PASS: Delete name in namestore"
   exit 0
-elif [ $FOUND_NAME == true ]
+elif [ $FOUND_NAME = true ]
 then
   echo "FAIL: Delete name in namestore: name returned"
   exit 1
-elif [ $FOUND_IP == true ]
+elif [ $FOUND_IP = true ]
 then
   echo "FAIL: Delete name in namestore: IP returned"
   exit 1
diff --git a/src/namestore/test_namestore_lookup.sh 
b/src/namestore/test_namestore_lookup.sh
index 90735b17e..1c96e102a 100755
--- a/src/namestore/test_namestore_lookup.sh
+++ b/src/namestore/test_namestore_lookup.sh
@@ -19,20 +19,10 @@ TEST_IP_PLUS="127.0.0.1"
 TEST_RECORD_NAME_DNS="www3"
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
 
-function start_peer
-{
-       gnunet-arm -s -c $CONFIGURATION
-       gnunet-identity -C testego -c $CONFIGURATION
-}
+# start peer
+gnunet-arm -s -c $CONFIGURATION
+gnunet-identity -C testego -c $CONFIGURATION
 
-function stop_peer
-{
-       gnunet-identity -D testego -c $CONFIGURATION
-       gnunet-arm -e -c $CONFIGURATION
-}
-
-
-start_peer
 # Create a public record
 gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V 
$TEST_IP_PLUS -e never -c $CONFIGURATION
 NAMESTORE_RES=$?
@@ -52,19 +42,21 @@ for LINE in $OUTPUT ;
                FOUND_IP=true;
                #echo $FOUND_IP
        fi
- done
-stop_peer
+done
+# stop peer
+gnunet-identity -D testego -c $CONFIGURATION
+gnunet-arm -e -c $CONFIGURATION
 
 
-if [ $FOUND_NAME == true -a $FOUND_IP == true ]
+if [ $FOUND_NAME = true -a $FOUND_IP = true ]
 then
   echo "PASS: Lookup name in namestore"
   exit 0
-elif [ $FOUND_NAME == false ]
+elif [ $FOUND_NAME = false ]
 then
   echo "FAIL: Lookup name in namestore: name not returned"
   exit 1
-elif [ $FOUND_IP == false ]
+elif [ $FOUND_IP = false ]
 then
   echo "FAIL: Lookup name in namestore: IP not returned"
   exit 1
diff --git a/src/namestore/test_namestore_put.sh 
b/src/namestore/test_namestore_put.sh
index 6b6647d5f..eaf7d44b4 100755
--- a/src/namestore/test_namestore_put.sh
+++ b/src/namestore/test_namestore_put.sh
@@ -46,7 +46,7 @@ gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t 
A -V $TEST_IP_PLUS
 NAMESTORE_RES=$?
 stop_peer
 
-if [ $NAMESTORE_RES == 0 ]
+if [ $NAMESTORE_RES = 0 ]
 then
   echo "PASS: Creating name in namestore"
 else

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]